Skip to main content
POST
/
v3
/
async
/
flux-1-kontext-max
FLUX.1 Kontext Max
curl --request POST \
  --url https://api.myrouter.ai/v3/async/flux-1-kontext-max \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "seed": 123,
  "guidance_scale": 123,
  "safety_tolerance": "<string>",
  "aspect_ratio": "<string>"
}
'
import requests

url = "https://api.myrouter.ai/v3/async/flux-1-kontext-max"

payload = {
    "prompt": "<string>",
    "images": ["<string>"],
    "seed": 123,
    "guidance_scale": 123,
    "safety_tolerance": "<string>",
    "aspect_ratio": "<string>"
}
headers = {
    "Content-Type": "<content-type>",
    "Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
  body: JSON.stringify({
    prompt: '<string>',
    images: ['<string>'],
    seed: 123,
    guidance_scale: 123,
    safety_tolerance: '<string>',
    aspect_ratio: '<string>'
  })
};

fetch('https://api.myrouter.ai/v3/async/flux-1-kontext-max', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "task_id": "<string>"
}
FLUX.1 Kontext Max is a model that improves prompt adherence and font generation consistency while maintaining efficient speed and suitability for editing tasks.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

prompt
string
required
The prompt used for image generation.
images
string[]
List of images used for image generation. Supports up to 4 images.
seed
integer
Random seed. Default: -1, where -1 means use a random seed. Range: [-1 ~ 2147483647].
guidance_scale
number
Guidance scale for controlling generation. Default: 3.5. Range: [1.0 ~ 20.0].
safety_tolerance
string
Only supported in text-to-image mode.
Safety tolerance level for generated images, 1 is the strictest, 5 is the most permissive. Default: 2.
Options: 1, 2, 3, 4, 5
aspect_ratio
string
Aspect ratio of the generated image.
Options: 21:9, 16:9, 4:3, 3:2, 1:1, 2:3, 3:4, 9:16, 9:21

Response

task_id
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.